Bug 619838 - RegistrationService Errors During User Creation Cause Creation to Silently Fail
Summary: RegistrationService Errors During User Creation Cause Creation to Silently Fail
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor   
(Show other bugs)
Version: 0.3.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
Assignee: Jan Provaznik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 16:34 UTC by Ben Browning
Modified: 2011-12-08 14:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-14 15:54:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Browning 2010-07-30 16:34:36 UTC
Description of problem:
If an error occurs when saving the RegistrationService record for a new user, the user gets displayed the new user form again with no indication of what went wrong.

Steps to Reproduce:
1. Remove all roles from your development database (to simulate incorrect seed data).
2. Try to register for a new user account.
  
Actual results:
The new user form is displayed with no indication of what went wrong. There is no indication in the development log of what happened.

Expected results:
There should be some indication that something went wrong in the UI and ideally a stacktrace of the error in the development log.

Comment 1 wes hayutin 2011-06-14 15:54:22 UTC
closing out old bugs that dev has not addressed :(

Comment 2 wes hayutin 2011-12-08 14:08:47 UTC
perm close


Note You need to log in before you can comment on or make changes to this bug.